<?php 
	session_start();
	header("Cache-Control: no-cache, must-revalidate"); 
	header("Expires: Sat, 26 Jul 1997 05:00:00 GMT");
	include_once "function.php";
	if (check_authentification()){
		if (check_htaccess_present($home_folder_name)) {
			//change_password
			if (isset($_POST['change_password'])){
				if (!is_readable($home_folder_name.".htpasswd")){
					$_SESSION["hi_change_password"] = "error1";
					//error1=Password not changed, because we can't read .htpasswd;
				}
				elseif (!is_writable_and_readable(".")){
					$_SESSION["hi_change_password"]="error2";
					//error2=Password not changed, because we don't have the right permissions on the folder;
				}
				elseif ($_POST['new_password']==$_POST['new_password2']){
					// update_htpasswd
					update_htpasswd($home_folder_name, get_username(), $_POST['new_password']);
					$_SESSION["hi_change_password"] = "ok";
				}
				else{
					$_SESSION["hi_change_password"] = "error3";
					//error3=Password not changed, because you entered two different password
				}
			}
		}
		//check_if_change_view
		if (isset($_POST['change_view']) && isset($_POST['to_view'])){
			$_SESSION["hi_change_view"] = $_POST['to_view'];
		}
		//delete file if necessary
		if ($_POST['delete_file']=='x'){
			unlink($home_folder_name.$file_folder_name.$_POST['file']);
		}
		
		if (is_dir($home_folder_name.$file_folder_name) && is_writable_and_readable($home_folder_name.$file_folder_name)){
			//create new htm file
			if ($_POST['content']!=""){
				$text=$_POST['content'];
				$regex="/\<\?\s*[t|T][e|E][x|X][t|T][a|A][r|R][e|E][a|A]\>/";
				$replace="</textarea>";
				$text=preg_replace($regex, $replace , $text);
				$new_file_name=get_file_name($_POST['type'], stripslashes($_POST['subject']));
				$fh = fopen($home_folder_name.$file_folder_name.$new_file_name, 'w');
				fwrite($fh, stripslashes($text));
				fclose($fh);
				chmod($home_folder_name.$file_folder_name.$new_file_name, 0777);
			}
			//uploded files
			if (isset($_FILES['file']) && $_FILES['file']['name']!="" && $_POST['upload']=="Upload"){
				if (check_uploadable($_FILES['file']['name'])) {
					$ext=get_extension ($_FILES['file']['name']);
					$new_file_name=get_file_name($ext, stripslashes($_POST['subject']));
					move_uploaded_file($_FILES["file"]["tmp_name"], $home_folder_name.$file_folder_name.$new_file_name);
					chmod($home_folder_name.$file_folder_name.$new_file_name, 0777);
					$_SESSION["hi_upload"] = "ok";
				}
				else {
					$_SESSION["hi_upload"] = "failed";
				}
			}
		}
		if (isset($_POST['new'])) {
			if ($_POST['new']!='File'){
				$_SESSION["ne_type" ] = $_POST['new'];
			}
		}
		elseif (isset($_POST['edit_file'])){
			$_SESSION["ne_file"] = $_POST['file'];
		}
		if (isset($_POST['user'])){
			if ($_POST['user']!="other"){
				$_SESSION["user"] = $_POST['user'];
			}
			else {
				$_SESSION["user"]= $_POST['other_user'];
			}
		}
	}
	header("location:index.php");	
?>