<?php
//Copyright (c) 2009 Switzernet, written by Kerim Teboulbi 
session_start();
header("Cache-Control: no-cache, must-revalidate"); 
header("Expires: Sat, 26 Jul 1997 05:00:00 GMT");
include_once "function.php";
$view_newhtml=false;
//initalise les gets en provenance de do.php
$get_hist_params="";
$get_new_params="";
foreach ($_SESSION as $ind=>$val) {
	if (substr($ind, 0, 3)=="hi_") {
		$get_hist_params=add_get_param($get_hist_params, substr($ind, 3), $val);
	}
	elseif (substr($ind, 0, 3)=="ne_") {
		$get_new_params=add_get_param($get_new_params, substr($ind, 3), $val);
		$view_newhtml=true;
	}
	else {
		$get_hist_params=add_get_param($get_hist_params, $ind, $val);
		$get_new_params=add_get_param($get_new_params, $ind, $val);
	}
}



if (is_writable_and_readable('.')){
	//check if in parent directory a 
	if (is_file($home_folder_name.'index.php')){
		unlink($home_folder_name.'index.php');
	}
	//check if the directory doesn't exist, create it if necessary
	if (!is_file($home_folder_name.'index.htm')){
		$fp=fopen($home_folder_name.'index.htm','w');
		fwrite($fp, "<html><head><meta HTTP-EQUIV=\"REFRESH\" content=\"0; url=source/index.php\"></head><body></body></html>");
		fclose($fp);
	}
	//update last version
	if (update_last_version()){
		// $get_hist_params= add_get_param($get_hist_params, "version", "updated");
		header("location:index.php");
	}
	//check if we neek to create a htaccess file in home directory
	if (is_file($home_folder_name.".htpasswd")){
		if (!check_htaccess_present($home_folder_name)){
			write_htaccess($home_folder_name);
			header("location:index.php");
		}
	}
	//check if we need admin folder, and if it usable
	if (!check_authentification()){
		if (!is_dir($home_folder_name.$admin_folder_name)){
			mkdir($home_folder_name.$admin_folder_name);
			chmod($home_folder_name.$admin_folder_name, 0777);
		}
		if (!check_htaccess_present($home_folder_name.$admin_folder_name)){
			write_htaccess($home_folder_name.$admin_folder_name);
		}
		$files_to_check=list_complete_folder(".");
		foreach ($files_to_check as $file_to_check) {
			if (get_extension($file_to_check)=="php"){
				if (!is_file($home_folder_name.$admin_folder_name.$file_to_check)) {
					$fp=fopen($home_folder_name.$admin_folder_name.$file_to_check,'w');
					fwrite($fp, "<?php include_once \"".$home_folder_name.$source_folder_name.$file_to_check."\"; ?>");
					fclose($fp);
				}
				chmod ($home_folder_name.$admin_folder_name.$file_to_check, 0777);
			}
		}
	}
	//create version folder if dosen't exist
	if (!is_dir($home_folder_name.$file_folder_name) && is_writable_and_readable(".")){
		mkdir($home_folder_name.$file_folder_name);
		chmod($home_folder_name.$file_folder_name, 0777);
	}
	if (is_dir($home_folder_name.$file_folder_name)){
		//read the folder
		$files=list_data_folder($home_folder_name.$file_folder_name);
		$last_view_file=get_last_direct_view($files);
	}
}
?>
<html>
<head>
<title>
Manage version
</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="author" content="Kerim Teboulbi - Switzernet">
</head>
<?php 


// make the frame
echo "<frameset cols=\"30%,70%\">";

echo "<frame src=\"hist.php".$get_hist_params."\" name=\"hist\">\n";

if (get_extension($last_view_file)=="txt"){
	$get_new_params=add_get_param($get_new_params, "file", $last_view_file);
	$view_newhtml=true;
}
elseif (!is_array($files)){
	$view_newhtml=true;
}
elseif ($last_view_file==false){
	$view_newhtml=true;
}

if ($view_newhtml) {
	echo "<frame src=\"newhtml.php".$get_new_params."\" name=\"doc\">\n";
}
elseif ($last_view_file!=""){
	echo "<frame src=\"".$home_folder_name.$file_folder_name.$last_view_file."\" name=\"doc\">\n";
}
echo "</frameset>\n";
$user=$_SESSION['user'];
$_SESSION=array();
$_SESSION['user']=$user;
?>
</html>
